Skip to main content
GET
/
polymarket
/
search
Search events, markets, and traders
curl --request GET \
  --url https://api.struct.to/v1/polymarket/search
{
  "events": [
    {
      "id": "",
      "event_slug": null,
      "title": null,
      "ticker": null,
      "description": null,
      "resolution_source": null,
      "category": null,
      "image_url": null,
      "market_count": 0,
      "created_time": null,
      "closed_time": null,
      "start_time": null,
      "end_time": null,
      "neg_risk": false,
      "neg_risk_market_id": null,
      "game_status": null,
      "show_market_images": false,
      "status": null,
      "metrics": {},
      "tags": [],
      "markets": [],
      "series": {
        "id": "",
        "slug": null,
        "ticker": null,
        "title": null,
        "description": null,
        "series_type": null,
        "recurrence": null,
        "layout": null,
        "image_url": null,
        "icon_url": null,
        "active": false,
        "closed": false,
        "archived": false,
        "featured": false,
        "restricted": false,
        "pyth_token_id": null,
        "cg_asset_name": null,
        "start_date": null,
        "event_count": 0
      }
    }
  ],
  "events_pagination": {
    "has_more": true,
    "pagination_key": "<string>"
  },
  "markets": [
    {
      "condition_id": "<string>",
      "status": "<string>",
      "id": "<string>",
      "market_slug": "<string>",
      "question": "<string>",
      "title": "<string>",
      "description": "<string>",
      "image_url": "<string>",
      "oracle": "<string>",
      "created_time": 123,
      "start_time": 123,
      "game_start_time": 123,
      "closed_time": 123,
      "end_time": 123,
      "accepting_orders": true,
      "uma_resolution_status": "<string>",
      "is_neg_risk": true,
      "market_maker_address": "<string>",
      "creator": "<string>",
      "category": "<string>",
      "volume_usd": 123,
      "liquidity_usd": 123,
      "highest_probability": 123,
      "total_holders": 123,
      "winning_outcome": {
        "name": "",
        "price": null,
        "position_id": null,
        "outcome_index": null
      },
      "outcomes": [
        {
          "name": "",
          "price": null,
          "position_id": null,
          "outcome_index": null
        }
      ],
      "rewards": [
        {
          "min_size": null,
          "max_spread": null,
          "daily_rate": null
        }
      ],
      "clob_rewards": [
        {
          "id": "<string>",
          "condition_id": "<string>",
          "asset_address": "<string>",
          "rewards_amount": 123,
          "rewards_daily_rate": 123,
          "start_date": "<string>",
          "end_date": "<string>"
        }
      ],
      "tags": [
        "<string>"
      ],
      "event_slug": "<string>",
      "resolution_source": "<string>",
      "metrics": {},
      "relevance_score": 123
    }
  ],
  "markets_pagination": {
    "has_more": true,
    "pagination_key": "<string>"
  },
  "traders": [
    {
      "address": "<string>",
      "name": "<string>",
      "pseudonym": "<string>",
      "profile_image": "<string>",
      "x_username": "<string>",
      "verified_badge": true
    }
  ],
  "traders_pagination": {
    "has_more": true,
    "pagination_key": "<string>"
  }
}

Query Parameters

q
string
required

Search query (min 2 characters). Prefix with 0x for exact wallet address lookup.

sort_by
enum<string>

Sort field applied to both events and markets (default: volume). Fields marked events-only or markets-only fall back to volume on the other category. Combined sort options valid for both events and markets in search

Available options:
volume,
txns,
unique_traders,
relevance,
title,
creation_date,
start_date,
end_date,
liquidity,
holders,
end_time,
start_time,
created_time
sort_dir
enum<string>

Sort direction (default: desc)

Available options:
asc,
desc
timeframe
enum<string>

Metrics timeframe used for volume/txns/unique_traders sort (default: 24h)

Available options:
1m,
5m,
30m,
1h,
6h,
24h,
7d,
30d
limit
integer<int32>

Results limit per category (default: 10, max: 250)

events_pagination_key
string

Cursor for the next page of events, obtained from previous response's events_pagination.pagination_key

markets_pagination_key
string

Cursor for the next page of markets, obtained from previous response's markets_pagination.pagination_key

traders_pagination_key
string

Cursor for the next page of traders, obtained from previous response's traders_pagination.pagination_key

Response

Search results with events, markets, and traders

events
object[]
required
events_pagination
object
required

Pagination metadata to include in API responses

markets
object[]
required
markets_pagination
object
required

Pagination metadata to include in API responses

traders
object[]
required
traders_pagination
object
required

Pagination metadata to include in API responses

Last modified on March 17, 2026